Package org.apache.sling.jcr.contentloader

# Class LocalPrivilege

java.lang.Object
org.apache.sling.jcr.contentloader.LocalPrivilege

public class LocalPrivilege extends Object

## Constructor Summary

Constructors
Constructor
Description
`LocalPrivilege(String privilege)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkPrivilege(javax.jcr.security.AccessControlManager acm)`
`boolean`
`equals(Object obj)`
`Set<LocalRestriction>`
`getAllowRestrictions()`
`Set<LocalRestriction>`
`getDenyRestrictions()`
`String`
`getName()`
`javax.jcr.security.Privilege`
`getPrivilege()`
`int`
`hashCode()`
`boolean`
`isAllow()`
`boolean`
`isDeny()`
`void`
`setAllow(boolean allow)`
`void`
`setAllowRestrictions(Set<LocalRestriction> allowRestrictions)`
`void`
`setDeny(boolean deny)`
`void`
`setDenyRestrictions(Set<LocalRestriction> denyRestrictions)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LocalPrivilege

public LocalPrivilege(String privilege)

## Method Details

### checkPrivilege

public void checkPrivilege(javax.jcr.security.AccessControlManager acm) throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### getPrivilege

public javax.jcr.security.Privilege getPrivilege()

### getName

public String getName()

### isAllow

public boolean isAllow()

### isDeny

public boolean isDeny()

### setAllow

public void setAllow(boolean allow)

### setDeny

public void setDeny(boolean deny)

### getAllowRestrictions

public Set<LocalRestriction> getAllowRestrictions()

### setAllowRestrictions

public void setAllowRestrictions(Set<LocalRestriction> allowRestrictions)

### getDenyRestrictions

public Set<LocalRestriction> getDenyRestrictions()

### setDenyRestrictions

public void setDenyRestrictions(Set<LocalRestriction> denyRestrictions)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`